SDL_CreateTextureFromSurface(3)

NAME
SDL_CreateTextureFromSurface - Create a texture from an existing surface.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_Texture * SDL_CreateTextureFromSurface(SDL_Renderer *renderer, SDL_Surface *surface);

DESCRIPTION
The surface is not modified or freed by this function.

The SDL_TextureAccess hint for the created texture is SDL_TEXTUREACCESS_STATIC.

The pixel format of the created texture may be different from the pixel format of the surface, and can be queried using the SDL_PROP_TEXTURE_FORMAT_NUMBER property.

FUNCTION PARAMETERS

renderer
    the rendering context.

surface
    the SDL_Surface structure containing pixel data used to fill the texture.

RETURN VALUE
Returns the created texture or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_CreateTexture(3), SDL_CreateTextureWithProperties(3), SDL_DestroyTexture(3)